# Class BinaryBasePlugin

java.lang.Object
org.gradle.platform.base.plugins.BinaryBasePlugin

All Implemented Interfaces:
  `Plugin<Project>`

@Incubating public class BinaryBasePlugin extends Object implements Plugin<Project>
Base plugin for binaries support. - Adds a `BinarySpec` container named `binaries` to the project. - Registers the base `BinarySpec` type. - For each `BinarySpec`, registers a lifecycle task to assemble that binary. - For each `BinarySpec`, adds the binary's source sets as its default inputs. - Links the tasks for each `BinarySpec` across to the tasks container.

## Constructor Summary

Constructors
Constructor
Description
`BinaryBasePlugin()`

## Method Summary

Modifier and Type
Method
Description
`void`
`apply(Project target)`
Apply this plugin to the given target object.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### BinaryBasePlugin

public BinaryBasePlugin()

## Method Details

### apply

public void apply(Project target)
Description copied from interface: `Plugin`
Apply this plugin to the given target object.

Specified by:
  `apply` in interface `Plugin<Project>`
Parameters:
  `target` - The target object